Name:           perl-DBIx-Admin-TableInfo
Version:        3.03
Release:        3%{?dist}
Summary:        Wrapper for DBI's table_info(), column_info(), *_key_info()
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/DBIx-Admin-TableInfo/
Source0:        http://www.cpan.org/authors/id/R/RS/RSAVAGE/DBIx-Admin-TableInfo-%{version}.tgz
# Remove stay shebangs from documentation
Patch0:         DBIx-Admin-TableInfo-3.03-Remove-usr-bin-env-from-shebangs.patch
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Data::Dumper::Concise) >= 2.022
BuildRequires:  perl(Moo) >= 2.002004
# Tests:
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Data::Dumper::Concise) >= 2.022
Requires:       perl(Moo) >= 2.002004

# Filter under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Data::Dumper::Concise|Moo\\)$

%description
This is a convenient wrapper around all of these DBI methods:

    - table_info()
    - column_info()
    - primary_key_info()
    - foreign_key_info()

%prep
%setup -q -n DBIx-Admin-TableInfo-%{version}
%patch0 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
# Changelog.ini is redundant with Changes.
# README is not helpful.
%doc Changes scripts/*.pl
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.03-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 05 2017 Jitka Plesnikova <jplesnik@redhat.com> - 3.03-2
- Perl 5.26 rebuild

* Mon Mar 13 2017 Petr Pisar <ppisar@redhat.com> 3.03-1
- Specfile autogenerated by cpanspec 1.78.
